Package com.independentsoft.office.spreadsheet

# Class Schema

java.lang.Object
com.independentsoft.office.spreadsheet.Schema

public class Schema extends Object
The Class Schema.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Schema()`
  Instantiates a new schema.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Schema`
  `clone()`
  `String`
  `getID()`
  Gets the id.
  `String`
  `getInnerXml()`
  Gets the inner xml.
  `String`
  `getNamespace()`
  Gets the namespace.
  `String`
  `getReference()`
  Gets the reference.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setInnerXml​(String innerXml)`
  Sets the inner xml.
  `void`
  `setNamespace​(String ns)`
  Sets the namespace.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Schema

    public Schema()
    Instantiates a new schema.

- ## Method Details

  - ### clone

    public Schema clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getNamespace

    public String getNamespace()
    Gets the namespace.
    Returns:
      the namespace

  - ### setNamespace

    public void setNamespace​(String ns)
    Sets the namespace.
    Parameters:
      `ns` - the new namespace

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getInnerXml

    public String getInnerXml()
    Gets the inner xml.
    Returns:
      the inner xml

  - ### setInnerXml

    public void setInnerXml​(String innerXml)
    Sets the inner xml.
    Parameters:
      `innerXml` - the new inner xml